読者です 読者をやめる 読者になる 読者になる

【Ruby】git push heroku masterでWARNING(You have not declared a Ruby version in your Gemfile.)

 

git push heroku masterの実行でWARNINGが発生

remote: ###### WARNING:
remote: You have not declared a Ruby version in your Gemfile.
remote: To set your Ruby version add this line to your Gemfile:
remote: ruby '2.2.6'
remote: # See https://devcenter.heroku.com/articles/ruby-versions for more information.

 

 

<原因>

Gemfileにrubyのバージョンの定義がない

ruby '2.2.6' を追記しましょう